Subject: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Protesilaos Stavrou <[email-masked]>
Date: Fri, 27 May 2022 15:15:26 +0300

> From: Alan Mackenzie <[email-masked]>
> Date: Fri, 27 May 2022 11:32:05 +0000
>
>> > I confirm that Mattias' patch fixes the problem.
>
> How?  It's not even clear what problem you and Prot are talking about,
> even whether it's exactly the same problem.
>
> Mattias's patch CAN NOT	have fixed Prot's original stack overflow
> problem.  Unless you believe in magic.
>
> You have conflated two problems into one, and believe that a solution to
> the second (the problems with byte-compile--first-symbol-with-pos)
> somehow have solved the first (the stack overflow in modus-themes).
> This cannot possibly be.
>
> Mattias's patch looks faulty to me.  (Background: I wrote
> byte-compile--first-symbol-with-pos.)

I have no technical insight here.  All I can do is note that I no longer
get the error I originally reported, namely:

    Error: Lisp nesting exceeds ‘max-lisp-eval-depth’

The themes byte compile with the following on emacs -Q:

    (require 'package)
    (package-install-file "/path/to/modus-themes")

Whereas before I would get the error and no .elc files would be
produced.

I am happy to help you test this further.

-- 
Protesilaos Stavrou
https://protesilaos.com